Next Previous Up Contents
Next: Examples
Up: parqlint: Checks parquet file compliance with VOParquet convention
Previous: parqlint: Checks parquet file compliance with VOParquet convention

### B.10.1 Usage

The usage of `parqlint` is

       stilts <stilts-flags> parqlint voparquet=true|false report=[EWI]+
                                      ucd=true|false unit=true|false|null
                                      time=true|false votable=<filename-or-url>
                                      [in=]<filename>

If you don't have the `stilts` script installed, write "`java -jar stilts.jar`" instead of "`stilts`" - see Section 3. The available `<stilts-flags>` are listed in Section 2.1. For programmatic invocation, the Task class for this command is `uk.ac.starlink.ttools.task.VOParquetLint`.

Parameter values are assigned on the command line as explained in Section 2.3. They are as follows:

`in = <filename>` (String)
  Name of the parquet file to check.
`report = [EWI]+` (String)
  Letters indicating which message types should be output. Each character of the string is one of the letters `E` (for Error), `W` (for Warning) and `I` (for Info). So to suppress Info messages set the value to "`EW`".

  [Default: `EWI`]

`time = true|false` (Boolean)
  If true, then parquet columns with the logical types `TIMESTAMP` or `DATE` will be checked against their VOTable counterparts for suitable metadata. Since parquet TIMESTAMP and DATE columns have an associated unit, a Warning is reported when the corresponding VOTable FIELD does not declare the same unit attribute. Since parquet TIMESTAMP and DATE columns also have an implicit zero point (the Unix epoch 1970-01-01, equivalent to JD 2440587.5), a Warning is also reported if no compatible TIMESYS element is referenced by the corresponding VOTable FIELD. If this parameter is set false, no such reports are made.

  [Default: `true`]

`ucd = true|false` (Boolean)
  If true, the `ucd` attributes on `FIELD` and `PARAM` elements etc in the VOTable metadata table are checked for conformance against the UCD1+ standard or a list of known UCD1 terms.

  [Default: `true`]

`unit = true|false|null` (Boolean)
  If true, the `unit` attributes on `FIELD` and `PARAM` elements are checked for conformance against the VOUnits standard; if false, no such checks are made.

  The VOTable standard version 1.4 and later recommends use of VOUnits (there are some inconsistencies in the text on this topic in VOTable 1.4, but these are cleared up in V1.5). Earlier VOTable versions refer to a different (CDS) unit syntax, which is not checked by this tool. So by default unit syntax is checked when the VOTable is 1.4 or greater, and not for earlier versions, but that can be overridden by giving a `true` or `false` value for this parameter.

  The wording of the VOTable and VOUnit standards do not strictly require use of VOUnit syntax even at VOTable 1.4, so failed checks result in Warning rather than Error reports.

`voparquet = true|false` (Boolean)
  Configures whether a data-less VOTable is required in the parquet file or not. If this parameter is true, absence of any metadata VOTable will generate an Error report. Otherwise, it will merely result in an Info report.

  [Default: `false`]

`votable = <filename-or-url>` (String)
  This parameter can be used to specify the location (filename or URL) of a data-less VOTable document that describes the parquet file under evaluation. Normally this is not necessary, since the VOTable is found in a well-known location in the metadata of the parquet file itself, as specified by the VOParquet convention. However if this parameter is set to a non-blank value then the internal VOTable, if any, will be ignored, and the UTF-8-encoded VOTable at the supplied location will be used instead. This can be useful when debugging a VOParquet file.

Next Previous Up Contents
Next: Examples
Up: parqlint: Checks parquet file compliance with VOParquet convention
Previous: parqlint: Checks parquet file compliance with VOParquet convention

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk